# ArtifactResult

interface ArtifactResult

The result of resolving an artifact.

#### Since

2.0

#### Inheritors

ResolvedArtifactResult
UnresolvedArtifactResult

## Functions

getId
Link copied to clipboard
abstract fun getId(): ComponentArtifactIdentifier
Returns an identifier for this artifact.
getType
Link copied to clipboard
abstract fun getType(): Class<out Artifact>
Returns the type of this artifact.